Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Protected Member Functions | List of all members
AddressList Struct Reference

List of Address. More...

`#include <addresslist.h>`

Inheritance diagram for AddressList:

## Public Member Functions

| AddressList (const char *)
| AddressList (const std::string &)
std::string | str () const
void | set (const std::string &)

## Protected Member Functions

FieldValue * | clone () const
Protected Member Functions inherited from FieldValue
bool | typeChecked () const
void | typeChecked (bool)

## Detailed Description

List of Address.

AddressList class is a container class that holds Address objects which, in turn can be a Group or a Mailbox.

const char* str = "dest@domain.com, friends: one@friends.net, "
"two@friends.net;, last@users.com";
AddressList aList(str);
AddressList::const_iterator bit(aList.begin()), eit(aList.end());
for(; bit != eit; ++bit)
{
Address& adr = *bit;
if(adr.isGroup())
cout << *adr.group();
else
cout << *adr.mailbox();
}
mimetic::Address
Address class as defined by RFC822.
Definition address.h:33

See also
  RFC822

## Member Function Documentation

## ◆ clone()

FieldValue * clone | ( |  | ) | const

protected virtual

Implements FieldValue.

## ◆ set()

void set | ( | const std::string & |  | ) |

virtual

Implements FieldValue.

## ◆ str()

std::string str | ( |  | ) | const

virtual

Implements FieldValue.

The documentation for this struct was generated from the following file:

- addresslist.h